Subject: Re: [bug#42014] [PATCH] WIP: gnu: Re-bootstrap Haskell with GHC 8.2.2 binaries.

From: Ricardo Wurmus <[email-masked]>
Date: Sat, 27 Jun 2020 23:21:05 +0200

Alex Griffin via Guix-patches via <[email-masked]> writes:

> This patch replaces the GHC 7.8.4 bootstrap binaries with binaries of
> GHC 8.2.2, with an eye towards supporting ARM systems. I have not yet
> succeeded in bootstrapping GHC on ARM, but 8.2.2 is the first release
> with official binary distributions for both armv7 and aarch64.

Can we do this only for armhf and aarch64?  I wouldn’t like to replace
the bootstrap binary for the other architectures with a newer version
without a good reason.  (We should aim to remove the binary completely,
not replace it with newer and newer versions.)

-- 
Ricardo